using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("版本升级表")]
    public class T_OP_VERSION : MesEntityBase
    {
        [Description("旧版本号")]
        [FormFieldTable]
        [FormFieldEdit]   
        public string OLD_VERSION_NO { get; set; }

        [Description("版本号")]
        [FormFieldTable]
        [FormFieldEdit]
        public string VERSION_NO { get; set; }

        [Description("版本中文")]
        [DataFieldLength(20)]
        public string VERSION_ZH { get; set; }

        [Description("版本升级内容")]
        [FormFieldTable]
        [FormFieldEdit]
        public string CONTENT { get; set; }

        [Description("备注")]
        [FormFieldTable]
        [FormFieldEdit]
        public string REMARK { get; set; }

        [Description("升级脚本")]
        [FormFieldTable]
        [FormFieldEdit]
        public string UPDATE_SQL { get; set; }

        [Description("升级菜单")]
        [DataFieldIngore]
        public List<string> CheckMenuKeys { get; set; }

        [Description("升级租户")]
        [DataFieldIngore]
        public List<string> CheckTenantKeys { get; set; }

        [Description("模板ID")]
        [DataFieldForeignKey("Nav_Tenant")]
        [FormFieldEdit]
        public Guid? TEMPLATE_ID { get; set; }
        public virtual T_OP_TENANT Nav_Tenant { get; set; }
    }
}
